Index: trunk/shell/generate-hosts-file
===================================================================
--- trunk/shell/generate-hosts-file	(revision 42)
+++ trunk/shell/generate-hosts-file	(revision 43)
@@ -37,11 +37,11 @@
 done
 # Front-end stuff.
 echo -n "${CLUSTER_STATIC_NETWORK_PREFIX}.${CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX} " 1>&5
-echo -n "${FRONT_END_HOST_NAME}.${CLUSTER_DOMAIN_NAME} " 1>&5
+echo -n "${FRONT_END_CLUSTER_HOST_NAME}.${CLUSTER_DOMAIN_NAME} " 1>&5
 echo "$FRONT_END_CLUSTER_HOST_NAME" 1>&5
 # Compute node model stuff.
 echo -n "${CLUSTER_STATIC_NETWORK_PREFIX}.${CONST_COMPUTE_NODE_MODEL_CLUSTER_STATIC_NETWORK_POSTFIX} " 1>&5
-echo -n "${COMPUTE_NODE_MODEL_HOST_NAME}.${CLUSTER_DOMAIN_NAME} " 1>&5
+echo -n "${COMPUTE_NODE_MODEL_CLUSTER_HOST_NAME}.${CLUSTER_DOMAIN_NAME} " 1>&5
 echo "$COMPUTE_NODE_MODEL_CLUSTER_HOST_NAME" 1>&5
 #
 # IPv6 stuff
Index: trunk/shell/front-end-finish-up
===================================================================
--- trunk/shell/front-end-finish-up	(revision 42)
+++ trunk/shell/front-end-finish-up	(revision 43)
@@ -26,7 +26,7 @@
 cp templates$CURRENT_PATH/$CONST_FRONT_END_XEN_TEMPLATE_NAME \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl Template Configuration $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-rpl __FRONT_END_KERNEL__ $COMPUTE_NODE_KERNEL \
+rpl __FRONT_END_KERNEL__ $FRONT_END_KERNEL \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl __FRONT_END_RAMDISK__ $FRONT_END_RAMDISK \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
Index: trunk/shell/compute-node-model-finish-up
===================================================================
--- trunk/shell/compute-node-model-finish-up	(revision 42)
+++ trunk/shell/compute-node-model-finish-up	(revision 43)
@@ -2,7 +2,7 @@
 #
 # ST - 2012-05-25
 #
-# Finish up the front end installation.
+# Finish up the compute node model installation.
 #
 # Get the directory of the script.
 SCRIPT_PATH=`dirname $0`
@@ -11,28 +11,28 @@
 # Source the common configuration variables.
 . $SCRIPT_PATH/c-i-a-b.common
 
-CURRENT_HOST_NAME=$FRONT_END_HOST_NAME
+CURRENT_HOST_NAME=$COMPUT_NODE_MODEL_HOST_NAME
 #
 # Get the cluster MAC address
 #
 CURRENT_PATH=/etc
-FRONT_END_CLUSTER_MAC_ADDRESS=\
-`awk -F, -v INDEX=$CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
+COMPUTE_NODE_MODEL_CLUSTER_MAC_ADDRESS=\
+`awk -F, -v INDEX=$CONST_COMPUTE_NODE_MODEL_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
 #
 #
 # Create the Xen configuration file from a template
 #
 CURRENT_PATH=/etc/xen
-cp templates$CURRENT_PATH/$CONST_FRONT_END_XEN_TEMPLATE_NAME \
+cp templates$CURRENT_PATH/$CONST_COMPUTE_NODEL_MODEL_XEN_TEMPLATE_NAME \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl Template Configuration $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-rpl __FRONT_END_KERNEL__ $COMPUTE_NODE_KERNEL \
+rpl __COMPUTE_NODE_KERNEL__ $COMPUTE_NODE_KERNEL \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-rpl __FRONT_END_RAMDISK__ $FRONT_END_RAMDISK \
+rpl __COMPUTE_NODE_RAMDISK__ $COMPUTE_NODE_RAMDISK \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-rpl __FRONT_END_VCPUS_NUM__ $FRONT_END_VCPUS_NUM \
+rpl __COMPUTE_NODE_MODEL_VCPUS_NUM__ $COMPUTE_NODEL_MODEL_VCPUS_NUM \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-CPUS_LIST=$FRONT_END_CPUS_LIST
+CPUS_LIST=$COMPUTE_NODE_MODEL_CPUS_LIST
 CPUS=""
 for i in $CPUS_LIST
   do
@@ -43,23 +43,21 @@
         CPUS="$CPUS,$i"
     fi
 done
-rpl __FRONT_END_CPUS__ $CPUS \
+rpl __COMPUTE_NODE_MODEL_CPUS__ $CPUS \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 # Memory
-rpl __FRONT_END_MEMORY__ $FRONT_END_MEMORY \
+rpl __COMPUTE_NODE_MEMORY__ $COMPUTE_NODE_MEMORY \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 # Root device
 rpl __XEN_SYSTEM_DISK_ROOT_DEVICE_STANZA__ "$CONST_XEN_SYSTEM_DISK_ROOT_DEVICE_STANZA" \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 #
 # System disk stuff
-FRONT_END_SYSTEM_DISK_STANZA="'phy:${FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE}/${FRONT_END_SYSTEM_DISK},$FRONT_END_SYSTEM_VIRTUAL_VOLUME,w'"
-rpl __FRONT_END_SYSTEM_DISK_STANZA__ "$FRONT_END_SYSTEM_DISK_STANZA" \
+COMPUTE_NODE_MODEL_SYSTEM_DISK_STANZA="'phy:${COMPUTE_NODE_MODEL_SYSTEM_VOLUME_GROUP_DEVICE}/${COMPUTE_NODE_MODEL_SYSTEM_DISK},$COMPUTE_NODE_VOLUME_SYSTEM_VIRTUAL_VOLUME,w'"
+rpl __COMPUTE_NODE_MODEL_SYSTEM_DISK_STANZA__ "$COMPUTE_NODE_MODEL_SYSTEM_DISK_STANZA" \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-# Home disk stuff
-FRONT_END_HOME_DISK_STANZA="'phy:${FRONT_END_HOME_VOLUME_GROUP_DEVICE}/${FRONT_END_HOME_DISK},$FRONT_END_HOME_VIRTUAL_VOLUME,w'"
-rpl __FRONT_END_HOME_DISK_STANZA__ "$FRONT_END_HOME_DISK_STANZA" \
-   $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+# No home disk stuff: home is network mounted.
+#
 # Swap disk stuff.
 if [ "x$FRONT_END_SWAP_DISK_SIZE" != "x$CONST_NULL_DISK_SIZE" ] ; then
   FRONT_END_SWAP_DISK_STANZA="'phy:${FRONT_END_SWAP_VOLUME_GROUP_DEVICE}/${FRONT_END_SWAP_DISK},$FRONT_END_SWAP_VIRTUAL_VOLUME,w'"
Index: trunk/shell/front-end-create
===================================================================
--- trunk/shell/front-end-create	(revision 42)
+++ trunk/shell/front-end-create	(revision 43)
@@ -41,7 +41,7 @@
 lvcreate -L$FRONT_END_HOME_DISK_SIZE \
          -n  $FRONT_END_HOME_DISK \
          $FRONT_END_HOME_VOLUME_GROUP
-# Create a File System on the front-end system disk.
+# Create a File System on the front-end home disk.
 mkfs -t $FRONT_END_HOME_DISK_FILE_SYSTEM \
         $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK
 # Mount the system disk to install the system.
@@ -59,20 +59,10 @@
 fi
 mount $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK \
       "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home"
-
 #
-# Get the cluster MAC address
-#
-CURRENT_PATH=/etc
-FRONT_END_CLUSTER_MAC_ADDRESS=\
-`awk -F, -v INDEX=$CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
-#
 # Install the system.
 # 
 debootstrap --arch $CONST_DEBIAN_ARCH $CONST_DEBIAN_VERSION \
     $FRONT_END_FILE_SYSTEM_MOUNT_POINT
-# exit 0
 #
-# Complete the installation
-#
 exit 0
Index: trunk/shell/compute-node-model-create
===================================================================
--- trunk/shell/compute-node-model-create	(revision 42)
+++ trunk/shell/compute-node-model-create	(revision 43)
@@ -23,56 +23,35 @@
     exit 1
 fi
 
-# Create the front-end system disk.
-lvcreate -L$FRONT_END_SYSTEM_DISK_SIZE \
-         -n  $FRONT_END_SYSTEM_DISK \
-         $FRONT_END_SYSTEM_VOLUME_GROUP
-# Create a File System on the front-end system disk.
-mkfs -t $FRONT_END_SYSTEM_DISK_FILE_SYSTEM \
-        $FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE/$FRONT_END_SYSTEM_DISK
-# If necessary, create the swap volume for the front end.
-if [ $FRONT_END_SWAP_DISK_SIZE != $CONST_NULL_DISK_SIZE ] ; then
-  lvcreate -L $FRONT_END_SWAP_DISK_SIZE \
-           -n $FRONT_END_SWAP_DISK \
-           $FRONT_END_SWAP_VOLUME_GROUP
-  mkswap $FRONT_END_SWAP_VOLUME_GROUP_DEVICE/$FRONT_END_SWAP_DISK
+# Create the compute node model system disk.
+lvcreate -L$COMPUTE_NODE_MODEL_SYSTEM_DISK_SIZE \
+         -n  $COMPUTE_NODE_MODEL_SYSTEM_DISK \
+         $COMPUTE_NODE_MODEL_SYSTEM_VOLUME_GROUP
+# Create a File System on the compute node model system disk.
+mkfs -t $COMPUTE_NODE_MODEL_SYSTEM_DISK_FILE_SYSTEM \
+        $COMPUTE_NODE_MODEL_SYSTEM_VOLUME_GROUP_DEVICE/$COMPUTE_NODE_MODEL_SYSTEM_DISK
+# If necessary, create the swap volume for the compute node model.
+if [ $COMPUTE_NODE_MODEL_SWAP_DISK_SIZE != $CONST_NULL_DISK_SIZE ] ; then
+  lvcreate -L $COMPUTE_NODE_MODEL_SWAP_DISK_SIZE \
+           -n $COMPUTE_NODE_MODEL_SWAP_DISK \
+           $COMPUTE_NODE_MODEL_SWAP_VOLUME_GROUP
+  mkswap $COMPUTE_NODE_MODEL_SWAP_VOLUME_GROUP_DEVICE/$COMPUTE_NODE_MODEL_SWAP_DISK
 fi
-# Create the VM home disk.
-lvcreate -L$FRONT_END_HOME_DISK_SIZE \
-         -n  $FRONT_END_HOME_DISK \
-         $FRONT_END_HOME_VOLUME_GROUP
-# Create a File System on the front-end system disk.
-mkfs -t $FRONT_END_HOME_DISK_FILE_SYSTEM \
-        $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK
+# No home disk: they are mounted from the front-end
+#
 # Mount the system disk to install the system.
-if [ ! -d $FRONT_END_FILE_SYSTEM_MOUNT_POINT ]; then
-  mkdir $FRONT_END_FILE_SYSTEM_MOUNT_POINT
+if [ ! -d $COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT ]; then
+  mkdir $COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT
 fi
-mount $FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE/$FRONT_END_SYSTEM_DISK \
-      $FRONT_END_FILE_SYSTEM_MOUNT_POINT
+mount $COMPUTE_NODE_MODEL_SYSTEM_VOLUME_GROUP_DEVICE/$COMPUTE_NODE_MODEL_SYSTEM_DISK \
+      $COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT
 if [ $? -ne 0 ] ; then
   exit 1
 fi 
-# Create the directory for the homes
-if [ ! -d "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home" ]; then
-  mkdir "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home"
-fi
-mount $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK \
-      "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home"
-
 #
-# Get the cluster MAC address
-#
-CURRENT_PATH=/etc
-FRONT_END_CLUSTER_MAC_ADDRESS=\
-`awk -F, -v INDEX=$CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
-#
 # Install the system.
 # 
 debootstrap --arch $CONST_DEBIAN_ARCH $CONST_DEBIAN_VERSION \
-    $FRONT_END_FILE_SYSTEM_MOUNT_POINT
-# exit 0
+    $COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT
 #
-# Complete the installation
-#
 exit 0
